/*
 * Copyright (C) 2008 Google Inc.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package com.google.gxp.compiler.phpivot;

import com.google.gxp.compiler.alerts.InfoAlert;
import com.google.gxp.compiler.alerts.SourcePosition;
import com.google.gxp.compiler.base.Node;

/**
 * {@link com.google.gxp.compiler.alerts.Alert} which indicates that an
 * example was auto-generated for a placeholder.
 */
public class GeneratedPlaceholderExampleAlert extends InfoAlert {
  public GeneratedPlaceholderExampleAlert(SourcePosition pos, String displayName) {
    super(pos, "Autogenerated a placeholder example for " + displayName);
  }

  public GeneratedPlaceholderExampleAlert(Node node) {
    this(node.getSourcePosition(), node.getDisplayName());
  }
}
